#define yer       (23UL * 34UL) 
#define PI        3.141592653589793238462643383279502884197L
#define PI_2      1.570796326794896619231321691639751442099L
#define PI_4	  0.7853981633974483096156608458198757210493L
#define LFULL     1.0L

#define ABS(a) ((a) >= 0 ? (a) : -(a))
#define SIGN(a) ((a) == 0 ? 0 : (a) < 0 ? -1 : 1)
#define MAX(a, b) ((a) > (b) ? (a) : (b))
#define MIN(a, b) ((a) < (b) ? (a) : (b))
#define RESID 0.0001



long double L0(long double, long double);
long double D1L0(long double, long double);
long double D2L0(long double, long double);
long double L1(long double, long double);
long double D1L1(long double, long double);
long double D2L1(long double, long double);
long double L2(long double, long double);
long double D1L2(long double, long double);
long double D2L2(long double, long double);
long double L3(long double, long double);
long double D1L3(long double, long double);
long double D2L3(long double, long double);

long double Kepler(long double, long double);

long double Delta_Eccentric_omega(long double, long double, long double, long double);
long double DeltaEccentric_omega(long double, long double, long double, long double);
int DeltaEccentric_omega_d(long double, long double, long double, long double, long double*, long double*, long double*, long double*, long double*);
int DeltaEccentric_omega_ci_d(long double, long double, long double, long double, long double*, long double*, long double*, long double*, long double*);
void DeltaEccentric_omega_d_ext(long double, long double, long double, long double, long double*, long double*, long double*, long double*, long double*, long double*);

long double phmin(long double, long double, long double);
long double phmin_ci(long double, long double, long double);

long double Lustre(long double, long double, long double, long double, long double, long double, long double[6]);
long double Lustre_norm(long double, long double, long double, long double, long double, long double, long double[5]);
//#ifndef GAUSS
